<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::CompositionTechnique Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#ed3697e1f5dee4e6e71b03338371dac9">CompositionTechnique</a>(Compositor *parent)</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#6a188818c7d211f3098bc41911316ec2">createInstance</a>(CompositorChain *chain)</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#781c6fcbbfc75d7c4265e268e9749f93">createTargetPass</a>()</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#4354d86478e8ec9fdf65024ea5ddfd6a">createTextureDefinition</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#f5141ebed82c9d8f289d1282de4bb0b3">destroyInstance</a>(CompositorInstance *instance)</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#831f0aa39181fbd9b8fad6b637ce7c41">getNumTargetPasses</a>()</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#c9408a93189794940d922152d9c8f3c7">getNumTextureDefinitions</a>()</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#2b2cd304cc127a05befe4e3f3e20d6e9">getOutputTargetPass</a>()</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#6b95f7376905fe23c3d5a27b0ec783d6">getParent</a>()</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#6a37afdc7cf51e51912ce6704879e2d3">getTargetPass</a>(size_t idx)</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#472bbfd655c99319514ebc1fc58961c5">getTargetPassIterator</a>(void)</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#c7ba0d0414282dde01b1d117b8dc5dc1">getTextureDefinition</a>(size_t idx)</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#07fe9d82291bef342e223b765a88a5f1">getTextureDefinitionIterator</a>(void)</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#5fde9e336592c35d6f710d60da1efb80">Instances</a> typedef</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#7395bb89044375bea1be770737651875">isSupported</a>(bool allowTextureDegradation)</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#0a6ced342bcebc4022b1b6b9e713849d">mInstances</a></td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#36aa8592eb69b1a98452ca89cb6d091d">mOutputTarget</a></td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#791ad4ded1b613b23d43db23b62c690b">mParent</a></td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#b7b054bcbf8c12d0b67adecba5dfcff1">mTargetPasses</a></td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#8d39acbfeeaa68fa427368cc8d88102f">mTextureDefinitions</a></td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#4b34afd12984d3a5883e24b512c2b4a2">removeAllTargetPasses</a>()</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#03d4c71942abef880d9b2c9e363fe259">removeAllTextureDefinitions</a>()</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#13b52dbaf483cd1ab0eec9edbef078e2">removeTargetPass</a>(size_t idx)</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#4bba82fa0f4e54090a2497fe9f658fab">removeTextureDefinition</a>(size_t idx)</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#e3bc01432cca2866776fc578be61b7b5">TargetPasses</a> typedef</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#5a54aecf9c72e8323b12d55199308c66">TargetPassIterator</a> typedef</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#34f28a53486ea2cee58619b2c1a639fe">TextureDefinitionIterator</a> typedef</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#f6b63a9d4592c48d2389525148a334ee">TextureDefinitions</a> typedef</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1CompositionTechnique.html#3b37aab5a73a19c0c2537b33cea5256e">~CompositionTechnique</a>()</td><td><a class="el" href="classOgre_1_1CompositionTechnique.html">Ogre::CompositionTechnique</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:23 2008
</p>
</body>
</html>
